Properties Methods Events Config Options Direct Link

    BorderLayout.Region
      BorderLayout.SplitRegion

# Class Ext.layout.BorderLayout.SplitRegion

Package: | Ext.layout
Defined In: | BorderLayout.js
Class: | BorderLayout.SplitRegion
Extends: | BorderLayout.Region

This is a specialized type of BorderLayout region that has a built-in Ext.SplitBar for user resizing of regions. The movement of the split bar is configurable to move either smooth or incrementally.

## Config Options

Config Options | Defined By
--- | ---

animFloat : Boolean
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close aga...
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close again once the user mouses out of that panel (or clicks out if `autoHide = false`). Setting `animFloat = false` will prevent the open and close of these floated panels from being animated (defaults to `true`).

BorderLayout.Region

autoHide : Boolean
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel. If autoHide = tru...
When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel. If `autoHide = true`, the panel will automatically hide after the user mouses out of the panel. If `autoHide = false`, the panel will continue to display until the user clicks outside of the panel (defaults to `true`).

BorderLayout.Region

cmargins : Object
An object containing margins to apply to the region when in the collapsed state in the format:{ top: (top margin)...
An object containing margins to apply to the region when in the collapsed state in the format:

    {
        top: (top margin),
        right: (right margin),
        bottom: (bottom margin),
        left: (left margin)
    }

May also be a string containing space-separated, numeric margin values. The order of the sides associated with each value matches the way CSS processes margin values.

- If there is only one value, it applies to all sides.
- If there are two values, the top and bottom borders are set to the first value and the right and left are set to the second.
- If there are three values, the top is set to the first value, the left and right are set to the second, and the bottom is set to the third.
- If there are four values, they apply to the top, right, bottom, and left, respectively.

BorderLayout.Region

collapseMode : String
collapseMode supports two configuration values:<div class="mdetail-params"> undefined (default)<div class="sub-desc">...
`collapseMode` supports two configuration values:

- `undefined` (default)
  By default, collapsible regions are collapsed by clicking the expand/collapse tool button that renders into the region's title bar.
- `'mini'`
  Optionally, when `collapseMode` is set to `'mini'` the region's split bar will also display a small collapse button in the center of the bar. In `'mini'` mode the region will collapse to a thinner bar than in normal mode.

Note: if a collapsible region does not have a title bar, then set `collapseMode = 'mini'` and `split = true` in order for the region to be collapsible by the user as the expand/collapse tool button (that would go in the title bar) will not be rendered.

See also `cmargins`.

BorderLayout.Region

collapsible : Boolean
true to allow the user to collapse this region (defaults to false). If true, an expand/collapse tool button will aut...

`true` to allow the user to collapse this region (defaults to `false`). If `true`, an expand/collapse tool button will automatically be rendered into the title bar of the region, otherwise the button will not be shown.

Note: that a title bar is required to display the collapse/expand toggle button -- if no `title` is specified for the region's panel, the region will only be collapsible if `collapseMode = 'mini'` and `split = true`.

BorderLayout.Region

| collapsibleSplitTip : String The tooltip to display when the user hovers over a collapsible region's split bar (defaults to "Drag to resize. Doubl... The tooltip to display when the user hovers over a collapsible region's split bar (defaults to "Drag to resize. Double click to hide."). Only applies if `useSplitTips = true`. | BorderLayout.SplitRegion
| floatable : Boolean true to allow clicking a collapsed region's bar to display the region's panel floated above the layout, false to forc... `true` to allow clicking a collapsed region's bar to display the region's panel floated above the layout, `false` to force the user to fully expand a collapsed region by clicking the expand button to see it again (defaults to `true`). | BorderLayout.Region

margins : Object
An object containing margins to apply to the region when in the expanded state in the format:{ top: (top margin),...
An object containing margins to apply to the region when in the expanded state in the format:

    {
        top: (top margin),
        right: (right margin),
        bottom: (bottom margin),
        left: (left margin)
    }

May also be a string containing space-separated, numeric margin values. The order of the sides associated with each value matches the way CSS processes margin values:

- If there is only one value, it applies to all sides.
- If there are two values, the top and bottom borders are set to the first value and the right and left are set to the second.
- If there are three values, the top is set to the first value, the left and right are set to the second, and the bottom is set to the third.
- If there are four values, they apply to the top, right, bottom, and left, respectively.

Defaults to:

    {top:0, right:0, bottom:0, left:0}

BorderLayout.Region

| minHeight : Number The minimum allowable height in pixels for this region (defaults to 50) maxHeight may also be specified. Note: settin... The minimum allowable height in pixels for this region (defaults to `50`) `maxHeight` may also be specified. Note: setting the `minSize` / `maxSize` supersedes any specified `minHeight` / `maxHeight`. | BorderLayout.Region
| minWidth : Number The minimum allowable width in pixels for this region (defaults to 50). maxWidth may also be specified. Note: setting... The minimum allowable width in pixels for this region (defaults to `50`). `maxWidth` may also be specified. Note: setting the `minSize` / `maxSize` supersedes any specified `minWidth` / `maxWidth`. | BorderLayout.Region

split : Boolean
true to create a SplitRegion and display a 5px wide Ext.SplitBar between this region and its neighbor, allowing the u...

`true` to create a SplitRegion and display a 5px wide Ext.SplitBar between this region and its neighbor, allowing the user to resize the regions dynamically. Defaults to `false` creating a Region.

Notes:

- this configuration option is ignored if `region='center'`
- when `split == true`, it is common to specify a `minSize` and `maxSize` for the BoxComponent representing the region. These are not native configs of BoxComponent, and are used only by this class.
- if `collapseMode = 'mini'` requires `split = true` to reserve space for the collapse tool

BorderLayout.Region

| splitTip : String The tooltip to display when the user hovers over a non-collapsible region's split bar (defaults to "Drag to resize.")... The tooltip to display when the user hovers over a non-collapsible region's split bar (defaults to `"Drag to resize."`). Only applies if `useSplitTips = true`. | BorderLayout.SplitRegion
| tickSize : Number The increment, in pixels by which to move this Region's SplitBar. By default, the SplitBar moves smoothly. | BorderLayout.SplitRegion
| useSplitTips : Boolean true to display a tooltip when the user hovers over a region's split bar (defaults to false). The tooltip text will ... `true` to display a tooltip when the user hovers over a region's split bar (defaults to `false`). The tooltip text will be the value of either `splitTip` or `collapsibleSplitTip` as appropriate. | BorderLayout.SplitRegion

## Public Properties

Property | Defined By
--- | ---
| isCollapsed : Boolean True if this region is collapsed. Read-only. | BorderLayout.Region
| layout : Layout This region's layout. Read-only. | BorderLayout.Region
| panel : Ext.Panel This region's panel. Read-only. | BorderLayout.Region
| position : String This region's layout position (north, south, east, west or center). Read-only. | BorderLayout.Region

## Public Methods

Method | Defined By
--- | ---

BorderLayout.SplitRegion( `Layout layout`, `Object config`, `String position` )
Create a new SplitRegion.
Create a new SplitRegion.
Parameters:

- `layout` : Layout
  The BorderLayout instance that is managing this Region.
- `config` : Object
  The configuration options
- `position` : String
  The region position. Valid values are: north, south, east, west and center. Every BorderLayout must have a center region for the primary content -- all other regions are optional.

Returns:

- void

BorderLayout.SplitRegion

getMargins() : Object
Returns the current margins for this region. If the region is collapsed, the cmargins (collapsed margins) value will...
Returns the current margins for this region. If the region is collapsed, the cmargins (collapsed margins) value will be returned, otherwise the margins value will be returned.
Parameters:

- None.

Returns:

- `Object`
  An object containing the element's margins: <tt>{left: (left margin), top: (top margin), right: (right margin), bottom: (bottom margin)}</tt>

BorderLayout.Region

getMinHeight() : Number
Returns the minimum allowable height for this region.
Returns the minimum allowable height for this region.
Parameters:

- None.

Returns:

- `Number`
  The minimum height

BorderLayout.Region

getMinWidth() : Number
Returns the minimum allowable width for this region.
Returns the minimum allowable width for this region.
Parameters:

- None.

Returns:

- `Number`
  The minimum width

BorderLayout.Region

getSize() : Object
Returns the current size of this region. If the region is collapsed, the size of the collapsedEl will be returned, o...
Returns the current size of this region. If the region is collapsed, the size of the collapsedEl will be returned, otherwise the size of the region's panel will be returned.
Parameters:

- None.

Returns:

- `Object`
  An object containing the element's size: <tt>{width: (element width), height: (element height)}</tt>

BorderLayout.Region

getSplitBar() : Ext.SplitBar
Returns a reference to the split bar in use by this region.
Returns a reference to the split bar in use by this region.
Parameters:

- None.

Returns:

- `Ext.SplitBar`
  The split bar

BorderLayout.SplitRegion

isVisible() : Boolean
True if this region is currently visible, else false.
True if this region is currently visible, else false.
Parameters:

- None.

Returns:

- `Boolean`

BorderLayout.Region

setPanel( `Ext.Panel panel` ) : void
Sets the specified panel as the container element for this region.
Sets the specified panel as the container element for this region.
Parameters:

- `panel` : Ext.Panel
  The new panel

Returns:

- void

BorderLayout.Region

slideIn() : void
If this Region is floatable, and this Region has been slid into floating visibility, then this method slides this reg...
If this Region is floatable, and this Region has been slid into floating visibility, then this method slides this region back into its collapsed state.
Parameters:

- None.

Returns:

- void

BorderLayout.Region

slideOut() : void
If this Region is floatable, this method slides this Region into full visibility over the top of the center Region wh...
If this Region is floatable, this method slides this Region into full visibility over the top of the center Region where it floats until either slideIn is called, or other regions of the layout are clicked, or the mouse exits the Region.
Parameters:

- None.

Returns:

- void

BorderLayout.Region

## Public Events

This class has no public events.